@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.post-content {
	--button-brand-color: #004ea2;
	--button-highlight-color: #f00;
}

.post-content mark.has-brand-color.has-inline-color,
.post-content p.has-brand-color {
	color: var(--button-brand-color);
}

.post-content mark.has-highlight-color.has-inline-color,
.post-content p.has-highlight-color {
	color: var(--button-highlight-color);
}

.post-content p {
	font-feature-settings: 'pwid' on;
}

.post-content p.has-text-align-left {
	text-align: left;
}

.post-content p.has-text-align-center {
	text-align: center;
}

.post-content p.has-text-align-right {
	text-align: right;
}

.post-content a {
	color: var(--element-anchor-color);
}

.post-content a .has-icon {
	position: relative;
	z-index: 1;
}

.post-content a .has-icon::after {
	content: '';
	display: inline-block;
	vertical-align: sub;
	width: 18px;
	height: 18px;
	background-color: currentcolor;
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.post-content a .has-icon.is-icon-internal::after {
	-webkit-mask-image: url(../images/icon/is-internal.svg);
	mask-image: url(../images/icon/is-internal.svg);
}

.post-content a .has-icon.is-icon-external::after {
	-webkit-mask-image: url(../images/icon/is-external.svg);
	mask-image: url(../images/icon/is-external.svg);
}

.post-content a .has-icon.is-icon-pdf::after {
	-webkit-mask-image: url(../images/icon/is-pdf.svg);
	mask-image: url(../images/icon/is-pdf.svg);
}

.post-content a .has-icon.is-icon-anchor::after {
	-webkit-mask-image: url(../images/icon/is-anchor.svg);
	mask-image: url(../images/icon/is-anchor.svg);
}

.post-content a .has-icon.is-icon-word::after {
	-webkit-mask-image: url(../images/icon/is-word.svg);
	mask-image: url(../images/icon/is-word.svg);
}

.post-content a .has-icon.is-icon-excel::after {
	-webkit-mask-image: url(../images/icon/is-excel.svg);
	mask-image: url(../images/icon/is-excel.svg);
}

.post-content a .has-icon.is-icon-powerpoint::after {
	-webkit-mask-image: url(../images/icon/is-powerpoint.svg);
	mask-image: url(../images/icon/is-powerpoint.svg);
}

.post-content a .has-icon.is-icon-image::after {
	-webkit-mask-image: url(../images/icon/is-img.svg);
	mask-image: url(../images/icon/is-img.svg);
}

.post-content a .has-icon.is-icon-audio::after {
	-webkit-mask-image: url(../images/icon/is-audio.svg);
	mask-image: url(../images/icon/is-audio.svg);
}

.post-content a .has-icon.is-icon-youtube::after {
	background-color: var(--element-youtube-color);
	-webkit-mask-image: url(../images/icon/is-youtube.svg);
	mask-image: url(../images/icon/is-youtube.svg);
}

.post-content a:hover .has-icon.is-icon-youtube::after,
.post-content a:active .has-icon.is-icon-youtube::after,
.post-content a:focus-visible .has-icon.is-icon-youtube::after {
	background-color: var(--element-youtube-color);
}

.post-content :where(h2, h3, h4, h5, h6) {
	font-weight: 700;
}

.post-content h2 {
	padding-inline-start: 16px;
	border-inline-start: 8px solid #004ea2;
}

.post-content h3 {
	padding-inline-start: 16px;
	border-inline-start: 6px solid #004ea2;
}

.post-content h6 {
	padding-block: 12px;
	padding-inline: 16px;
	border: 1px solid #d4d4d4;
	width: -moz-fit-content;
	width: fit-content;
}

.post-content .kochi-heading-with-shoulder {
	display: flex;
	flex-direction: column-reverse;
	row-gap: 8px;
}

.post-content .kochi-heading-with-shoulder > :where(h2, h3, h4, h5, h6) {
	margin-block: 0;
}

.post-content .kochi-heading-with-shoulder > h2,
.post-content .kochi-heading-with-shoulder > h3 {
	padding-inline-start: 0;
	border-inline-start: 0;
}

.post-content .kochi-heading-with-shoulder:has(h2) {
	padding-inline-start: 16px;
	border-inline-start: 8px solid var(--element-heading-border-color);
}

.post-content .kochi-heading-with-shoulder:has(h3) {
	padding-inline-start: 16px;
	border-inline-start: 6px solid var(--element-heading-border-color);
}

.post-content .kochi-heading-with-shoulder:has(h6) {
	padding-block: 12px;
	padding-inline: 16px;
	border: 1px solid #d4d4d4;
	width: -moz-fit-content;
	width: fit-content;
}

.post-content .kochi-heading-with-shoulder:has(h6) > h6 {
	padding-block: 0;
	padding-inline: 0;
	border: 0;
	display: block;
}

.post-content .kochi-heading-with-shoulder p {
	padding-block: 0;
	font-size: var(--font-size-small);
}

.post-content .kochi-heading-with-shoulder p:empty {
	display: none;
}

.post-content strong,
.post-content b {
	font-weight: 700;
}

.post-content mark {
	background-color: transparent;
}

.post-content .wp-block-buttons {
	gap: 24px;
}

.post-content .wp-block-buttons.is-layout-flex {
	display: flex;
	flex-wrap: wrap;
}

.post-content .wp-block-buttons.is-content-justification-center {
	justify-content: center;
}

.post-content .wp-block-buttons.is-content-justification-right {
	justify-content: flex-end;
}

.post-content .wp-block-buttons.is-content-justification-left {
	justify-content: flex-start;
}

.post-content .wp-block-button .wp-block-button__link {
	border: 1px solid #004ea2;
	border-radius: 4em;
	display: grid;
	place-items: center;
	line-height: 1.5714285714;
	color: #004ea2;
	font-weight: 700;
	font-size: var(--font-size-small);
	text-decoration: none;
	text-align: center;
}

.post-content .wp-block-button .wp-block-button__link:hover,
.post-content .wp-block-button .wp-block-button__link:active,
.post-content .wp-block-button .wp-block-button__link:focus-visible {
	background-color: #004ea2;
	color: #fff;
}

.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color) {
	color: var(--element-button-white-text-color);
	background-color: var(--element-button-white-bakcground-color);
}

.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color)::after {
	background-color: var(--element-button-white-text-color);
}

.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):hover,
.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):active,
.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):focus-visible {
	color: var(--element-button-white-text-hover-color);
	background-color: var(--element-button-white-bakcground-hover-color);
}

.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):hover::after,
.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):active::after,
.post-content .wp-block-button .wp-block-button__link:not(.is-blue-color):focus-visible::after {
	background-color: var(--element-button-white-text-hover-color);
}

.post-content .wp-block-button .wp-block-button__link.is-blue-color {
	color: var(--element-button-blue-text-color);
	background-color: var(--element-button-blue-bakcground-color);
}

.post-content .wp-block-button .wp-block-button__link.is-blue-color::after {
	background-color: var(--element-button-blue-text-color);
}

.post-content .wp-block-button .wp-block-button__link.is-blue-color:hover,
.post-content .wp-block-button .wp-block-button__link.is-blue-color:active,
.post-content .wp-block-button .wp-block-button__link.is-blue-color:focus-visible {
	color: var(--element-button-blue-text-hover-color);
	background-color: var(--element-button-blue-bakcground-hover-color);
}

.post-content .wp-block-button .wp-block-button__link.is-blue-color:hover::after,
.post-content .wp-block-button .wp-block-button__link.is-blue-color:active::after,
.post-content .wp-block-button .wp-block-button__link.is-blue-color:focus-visible::after {
	background-color: var(--element-button-blue-text-hover-color);
}

.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link {
	grid-template-columns: auto 18px;
	-moz-column-gap: 2px;
	column-gap: 2px;
}

.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-medium-size {
	padding-inline-end: 24px;
}

.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-large-size {
	padding-inline-end: 24px;
	line-height: 1.625;
	font-size: var(--font-size-p-pc);
}

.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link::after {
	content: '';
	width: 18px;
	height: 18px;
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	position: relative;
	left: 0;
	transition:
		left 300ms ease,
		background-color 300ms ease;
}

.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link:hover::after,
.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link:active::after,
.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link:focus-visible::after {
	left: 8px;
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-internal .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/arrow-right.svg);
	mask-image: url(../images/icon/arrow-right.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-external .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-external.svg);
	mask-image: url(../images/icon/is-external.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-pdf .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-pdf.svg);
	mask-image: url(../images/icon/is-pdf.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-anchor .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-anchor.svg);
	mask-image: url(../images/icon/is-anchor.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-word .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-word.svg);
	mask-image: url(../images/icon/is-word.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-excel .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-excel.svg);
	mask-image: url(../images/icon/is-excel.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-powerpoint .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-powerpoint.svg);
	mask-image: url(../images/icon/is-powerpoint.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-image .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-img.svg);
	mask-image: url(../images/icon/is-img.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-audio .wp-block-button__link::after {
	-webkit-mask-image: url(../images/icon/is-audio.svg);
	mask-image: url(../images/icon/is-audio.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-youtube .wp-block-button__link::after {
	background-color: var(--element-youtube-button-color);
	-webkit-mask-image: url(../images/icon/is-youtube.svg);
	mask-image: url(../images/icon/is-youtube.svg);
}

.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-youtube .wp-block-button__link:hover::after,
.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-youtube .wp-block-button__link:active::after,
.post-content .wp-block-button[class*='is-style-icon-'].is-style-icon-youtube .wp-block-button__link:focus-visible::after {
	background-color: var(--element-youtube-button-color);
}

.post-content .wp-block-quote {
	margin-block: 24px;
	padding-block: 12px;
	padding-inline-start: 24px;
	border-inline-start: 2px solid var(--element-quote-border-color);
	font-feature-settings: 'pwid' on;
}

.post-content .wp-block-quote > *:first-child {
	padding-block-start: 0;
}

.post-content .wp-block-quote:has(cite) > *:nth-last-child(2) {
	padding-block-end: 0;
}

.post-content .wp-block-quote:not(:has(cite)) > *:last-child {
	padding-block-end: 0;
}

.post-content .wp-block-quote cite {
	display: block;
	font-style: normal;
	text-align: right;
}

.post-content .wp-block-image {
	display: grid;
}

.post-content .wp-block-image > a {
	position: relative;
	z-index: 1;
}

.post-content .wp-block-image > a::before {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 2;
	border-radius: 16px;
	background-color: rgba(255, 255, 255, 0);
	overflow: hidden;
	transition: background-color 300ms ease;
}

.post-content .wp-block-image > a img {
	position: relative;
	z-index: 1;
}

.post-content .wp-block-image > a:hover::before,
.post-content .wp-block-image > a:active::before,
.post-content .wp-block-image > a:focus-visible::before {
	background-color: rgba(255, 255, 255, 0.3);
}

.post-content .wp-block-image img {
	border-radius: 16px;
	width: 100%;
}

.post-content .wp-block-image figure.alignleft img,
.post-content .wp-block-image figure.aligncenter img,
.post-content .wp-block-image figure.alignright img {
	width: auto;
}

.post-content .wp-block-image figure.alignleft {
	margin-inline-end: auto;
}

.post-content .wp-block-image figure.aligncenter {
	margin-inline: auto;
}

.post-content .wp-block-image figure.alignright {
	margin-inline-start: auto;
}

.post-content .wp-block-image.alignfull img,
.post-content .wp-block-image.alignwide img {
	max-width: none;
}

.post-content .wp-block-image .wp-element-caption {
	font-size: var(--font-size-small);
	text-align: right;
}

.post-content .wp-block-image .wp-element-caption:empty {
	display: none;
}

.post-content .wp-block-image.is-style-no-rounded img {
	border-radius: 0;
}

.post-content .wp-block-image.is-style-page-header img {
	width: 100%;
}

.post-content .wp-block-columns {
	display: flex;
}

.post-content .wp-block-columns .wp-block-column > *:first-child {
	margin-block-start: 0;
	padding-block-start: 0;
}

.post-content .wp-block-columns .wp-block-column > *:last-child {
	margin-block-end: 0;
	padding-block-end: 0;
}

.post-content .wp-block-columns .wp-block-column .wp-block-image .wp-element-caption {
	text-align: center;
}

.post-content .wp-block-columns .wp-block-column.is-vertically-aligned-top {
	align-self: flex-start;
}

.post-content .wp-block-columns .wp-block-column.is-vertically-aligned-center {
	align-self: center;
}

.post-content .wp-block-columns .wp-block-column.is-vertically-aligned-bottom {
	align-self: flex-end;
}

.post-content .wp-block-columns:not(.is-style-image-width) > .wp-block-column {
	flex-basis: 0;
	flex-grow: 1;
}

.post-content .wp-block-columns:not(.is-style-image-width) > .wp-block-column:not(:has(.wp-block-image)) {
	flex-grow: 1;
}

.post-content .wp-block-columns.is-style-image-width > .wp-block-column {
	flex-basis: auto;
}

.post-content .wp-block-columns.is-style-image-width > .wp-block-column:not(:has(.wp-block-image)) {
	flex-grow: 1;
}

.post-content .wp-block-columns.is-style-image-width > .wp-block-column:has(.wp-block-image) {
	flex-shrink: 0;
	flex-grow: 0;
}

.post-content iframe[src*='google.com/maps/embed'] {
	width: 100%;
	height: 100%;
	aspect-ratio: 16/9;
}

.post-content .wp-block-embed.wp-has-aspect-ratio iframe {
	width: 100%;
	height: 100%;
	aspect-ratio: 16/9;
}

.post-content .wp-block-embed .twitter-tweet-rendered {
	margin-block: 0 !important;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table {
	margin-block: 24px;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr th,
.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td {
	border: 1px solid var(--element-table-border-color);
	overflow-wrap: break-word;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr th.is-fit,
.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td.is-fit {
	width: 1%;
	white-space: nowrap;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr th {
	color: var(--element-table-th-color);
	background-color: var(--element-table-th-background-color);
	font-weight: 400;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td {
	color: var(--element-table-td-color);
	background-color: var(--element-table-td-background-color);
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td .image-center {
	display: grid;
	place-items: center;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table figcaption {
	font-size: var(--font-size-small);
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table figcaption {
	text-align: right;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table figcaption:empty {
	display: none;
}

.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table.is-style-stripes table tr:nth-child(odd) td {
	background-color: var(--element-table-stripe-background-color);
}

.post-content ul,
.post-content ol {
	margin-block: 0;
	padding-block: 16px;
	padding-inline-start: 0;
	list-style-type: '';
}

.post-content ul li,
.post-content ol li {
	padding-block: 8px;
	font-feature-settings: 'pwid' on;
	position: relative;
	z-index: 1;
}

.post-content ul li::before,
.post-content ol li::before {
	content: '';
	position: absolute;
	z-index: 1;
}

.post-content ul ul,
.post-content ul ol,
.post-content ol ul,
.post-content ol ol {
	padding-block: 0;
}

.post-content ul li {
	padding-inline-start: 22px;
}

.post-content ul li::before {
	top: calc(0.8em + 8px);
	left: 4px;
	border-radius: 100%;
	width: 6px;
	height: 6px;
	background-color: var(--element-ul-marker-color);
	translate: 0 -50%;
}

.post-content ol {
	counter-reset: num;
}

.post-content ol li {
	padding-inline-start: calc(8px + 1em);
}

.post-content ol li:nth-child(n + 10) {
	padding-inline-start: calc(8px + 1.5em);
	left: -0.5em;
}

.post-content ol li::before {
	content: counter(num) '.';
	counter-increment: num;
	top: 8px;
	left: 0;
	color: var(--element-ul-marker-color);
	white-space: nowrap;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) {
	padding-block: 0;
	display: grid;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li {
	padding-block: 0;
	padding-inline-start: 0;
	font-weight: 700;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li::before {
	display: none;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a {
	padding-inline-end: 12px;
	display: grid;
	color: var(--element-icon-link-color);
	text-decoration: none;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a::after {
	content: '';
	background-color: var(--element-icon-link-hover-color);
	-webkit-mask-image: url(../images/icon/arrow-right.svg);
	mask-image: url(../images/icon/arrow-right.svg);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	transition: left 300ms ease;
	position: relative;
	z-index: 1;
	left: 0;
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:hover,
.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:active,
.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:focus-visible {
	color: var(--element-icon-link-hover-color);
}

.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:hover::after,
.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:active::after,
.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a:focus-visible::after {
	left: 8px;
}

.post-content .wp-block-separator {
	margin-block: 0;
	border: 0;
}

.post-content .wp-block-separator::before {
	content: '';
	display: block;
	height: 1px;
}

.post-content .wp-block-separator:not(.is-style-blue)::before {
	background-color: var(--element-separator-border-color);
}

.post-content .wp-block-separator.is-style-blue::before {
	background-color: var(--element-separator-border-blue-color);
}

.post-content .wp-block-media-text {
	display: grid;
	align-items: start;
}

.post-content .wp-block-media-text .wp-block-media-text__media {
	border-radius: 16px;
	overflow: hidden;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list {
	padding-block: 0;
	row-gap: 4px;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list li {
	display: block;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list li a {
	padding-inline-end: 12px;
	color: var(--element-icon-link-color);
	font-weight: 700;
	text-decoration: none;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-media-text__content {
	display: grid;
	row-gap: 24px;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-heading {
	margin-block: 0;
	padding-inline-start: 0;
	border-inline-start: 0;
	font-size: var(--font-size-h4-pc);
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link p {
	padding-block: 0;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link p:not(.has-small-font-size) {
	font-size: var(--font-size-p-pc);
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link p.has-small-font-size {
	font-size: var(--font-size-small);
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-list {
	padding-block: 0;
	display: grid;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-list > li {
	padding-block: 0;
	padding-inline-start: 0;
	font-weight: 700;
	font-size: var(--font-size-small);
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-list > li::before {
	display: none;
}

.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-buttons {
	padding-block: 0;
}

.post-content .wp-block-gallery {
	display: grid;
}

.post-content .wp-block-gallery .wp-block-image {
	padding-block: 0;
}

.post-content .wp-block-gallery .wp-block-image img {
	width: 100%;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section {
	border-block-end: 1px solid var(--kochi-faqs-border-color);
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] {
	grid-template-rows: auto 1fr;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] .schema-faq-question {
	padding-block-end: 0;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] .schema-faq-question::after {
	rotate: 180deg;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] .schema-faq-answer {
	opacity: 1;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section:first-child {
	border-block-start: 1px solid var(--kochi-faqs-border-color);
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question {
	padding-inline: 24px;
	display: grid;
	grid-template-columns: 24px auto 24px;
	align-items: start;
	-moz-column-gap: 8px;
	column-gap: 8px;
	color: var(--element-icon-link-color);
	font-weight: 700;
	cursor: pointer;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question::before,
.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question::after {
	content: '';
	width: 24px;
	height: 24px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-position: center;
	mask-position: center;
	-webkit-mask-size: contain;
	mask-size: contain;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question::before {
	background-color: var(--element-icon-link-hover-color);
	-webkit-mask-image: url(../images/faq/question.svg);
	mask-image: url(../images/faq/question.svg);
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question::after {
	background-color: var(--element-icon-link-color);
	-webkit-mask-image: url(../images/faq/toggle.svg);
	mask-image: url(../images/faq/toggle.svg);
	transition: rotate 300ms ease;
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question:hover,
.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question:active,
.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question:focus-visible {
	color: var(--element-icon-link-hover-color);
}

.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-answer {
	padding-block: 0;
	padding-inline: 24px;
	font-size: var(--font-size-small);
}

.post-content .wp-block-wp-yomigana-dl {
	font-feature-settings: 'pwid' on;
}

.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-term {
	padding: 12px;
	border: 1px solid var(--element-dl-dt-border-color);
	border-block-end: 0;
	color: var(--element-dl-dt-color);
	background-color: var(--element-dl-dt-background-color);
	font-weight: 700;
}

.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-description {
	padding: 12px;
	border: 1px solid var(--element-dl-dd-border-color);
	background-color: var(--element-dl-dd-background-color);
}

.post-content .kochi-post-header .kochi-post-header-date > p {
	padding-block: 0;
	font-feature-settings: 'pwid' on;
	font-size: var(--font-size-small);
}

@media screen and (max-width: 1024px) {

	.post-content p {
		padding-block: 12px;
		font-size: var(--font-size-p-sp);
	}

	.post-content p.has-medium-font-size {
		font-size: var(--font-size-p-sp-m);
	}

	.post-content p.has-large-font-size {
		font-size: var(--font-size-p-sp-l);
	}

	.post-content :where(h2, h3, h4, h5, h6) {
		margin-block-end: 12px;
	}

	.post-content h2 {
		margin-block-start: 32px;
		font-size: var(--font-size-h2-sp);
	}

	.post-content h3 {
		margin-block-start: 24px;
		font-size: var(--font-size-h3-sp);
	}

	.post-content h4 {
		margin-block-start: 24px;
		font-size: var(--font-size-h4-sp);
	}

	.post-content h5 {
		margin-block-start: 24px;
		font-size: var(--font-size-h5-sp);
	}

	.post-content h6 {
		margin-block-start: 24px;
		font-size: var(--font-size-h6-sp);
	}

	.post-content .kochi-heading-with-shoulder {
		margin-block: 16px 12px;
	}

	.post-content .wp-block-buttons {
		padding-block: 12px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-small-size {
		padding-block: 4px;
		padding-inline: 16px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-medium-size {
		padding-block: 8px;
		padding-inline: 24px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-large-size {
		padding-block: 12px;
		padding-inline: 24px;
	}

	.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-small-size {
		padding-inline-end: 8px;
	}

	.post-content .wp-block-quote {
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-quote cite {
		margin-block-start: 8px;
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-image {
		padding-block: 12px;
		row-gap: 8px;
	}

	.post-content .wp-block-columns {
		padding-block: 12px;
		gap: 16px;
	}

	.post-content .wp-block-embed {
		padding-block: 12px;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table {
		overflow-x: auto;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table {
		width: 1200px;
		max-width: none;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table figcaption {
		margin-block-start: 8px;
	}

	.post-content ul,
	.post-content ol {
		line-height: 1.5714285714;
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a {
		padding-block: 4px;
		grid-template-columns: auto 26px;
		-moz-column-gap: 12px;
		column-gap: 12px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a::after {
		width: 18px;
		height: 18px;
		-webkit-mask-size: 18px 18px;
		mask-size: 18px 18px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li:not(:has(a)) {
		padding-block: 4px;
	}

	.post-content .wp-block-separator {
		padding-block: 16px;
	}

	.post-content .wp-block-media-text {
		padding-block: 12px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list li a {
		grid-template-columns: auto 18px;
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link {
		padding-block: 12px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-list {
		row-gap: 8px;
	}

	.post-content .wp-block-gallery {
		padding-block: 12px;
	}

	.post-content .wp-block-gallery.has-nested-images {
		gap: 16px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq {
		padding-block: 12px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] .schema-faq-answer {
		padding-block: 12px 24px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question {
		padding-block: 24px;
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-wp-yomigana-dl {
		padding-block: 12px;
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-term {
		font-size: var(--font-size-p-sp);
	}

	.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-description {
		font-size: var(--font-size-p-sp);
	}

	.post-content .kochi-post-header > h1 {
		padding-block: 12px;
		font-size: var(--font-size-h1-sp);
	}

	.post-content .kochi-post-header .kochi-post-header-date {
		padding-block: 12px;
		display: grid;
		row-gap: 8px;
		text-align: right;
	}
}

@media screen and (min-width: 1025px) {

	.post-content p {
		padding-block: 16px;
		font-size: var(--font-size-p-pc);
	}

	.post-content p.has-medium-font-size {
		font-size: var(--font-size-p-pc-m);
	}

	.post-content p.has-large-font-size {
		font-size: var(--font-size-p-pc-l);
	}

	.post-content :where(h2, h3, h4, h5, h6) {
		margin-block-end: 16px;
	}

	.post-content h2 {
		margin-block-start: 40px;
		font-size: var(--font-size-h2-pc);
	}

	.post-content h3 {
		margin-block-start: 32px;
		font-size: var(--font-size-h3-pc);
	}

	.post-content h4 {
		margin-block-start: 32px;
		font-size: var(--font-size-h4-pc);
	}

	.post-content h5 {
		margin-block-start: 32px;
		font-size: var(--font-size-h5-pc);
	}

	.post-content h6 {
		margin-block-start: 32px;
		font-size: var(--font-size-h6-pc);
	}

	.post-content .kochi-heading-with-shoulder {
		margin-block: 24px 16px;
	}

	.post-content .wp-block-buttons {
		padding-block: 16px;
	}

	.post-content .wp-block-button:has(.is-large-size) {
		min-width: 384px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-small-size {
		padding-block: 8px;
		padding-inline: 24px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-medium-size {
		padding-block: 12px;
		padding-inline: 32px;
	}

	.post-content .wp-block-button .wp-block-button__link.is-large-size {
		padding-block: 16px;
		padding-inline: 32px;
	}

	.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-small-size {
		padding-inline-end: 12px;
	}

	.post-content .wp-block-quote {
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-quote cite {
		margin-block-start: 10px;
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-image {
		padding-block: 16px;
		row-gap: 16px;
	}

	.post-content .wp-block-image > a::before {
		border-radius: 16px;
	}

	.post-content .wp-block-image.is-style-page-header {
		padding-block: 24px;
		row-gap: 16px;
	}

	.post-content .wp-block-columns {
		padding-block: 16px;
		gap: 24px;
	}

	.post-content .wp-block-embed {
		padding-block: 16px;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table {
		max-width: 1200px;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table figcaption {
		margin-block-start: 16px;
	}

	.post-content ul,
	.post-content ol {
		line-height: 1.625;
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) {
		gap: 24px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a {
		padding-block: 12px;
		grid-template-columns: auto 32px;
		-moz-column-gap: 16px;
		column-gap: 16px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li a::after {
		width: 24px;
		height: 24px;
		-webkit-mask-size: 24px 24px;
		mask-size: 24px 24px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) > li:not(:has(a)) {
		padding-block: 12px;
	}

	.post-content .wp-block-separator {
		padding-block: 32px;
	}

	.post-content .wp-block-media-text {
		padding-block: 16px;
		-moz-column-gap: 48px;
		column-gap: 48px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list {
		-moz-column-gap: 24px;
		column-gap: 24px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list li a {
		grid-template-columns: auto 24px;
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link {
		padding-block: 16px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-academic-link .wp-block-list {
		row-gap: 16px;
	}

	.post-content .wp-block-gallery {
		padding-block: 16px;
	}

	.post-content .wp-block-gallery.has-nested-images {
		gap: 24px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq {
		padding-block: 16px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section[open] .schema-faq-answer {
		padding-block: 16px 32px;
	}

	.post-content .wp-block-yoast-faq-block.schema-faq .schema-faq-section .schema-faq-question {
		padding-block: 32px;
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-wp-yomigana-dl {
		padding-block: 16px;
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-term {
		font-size: var(--font-size-p-pc);
	}

	.post-content .wp-block-wp-yomigana-dl .wp-block-wp-yomigana-description {
		font-size: var(--font-size-p-pc);
	}

	.post-content .kochi-post-header > h1 {
		padding-block: 16px;
		font-size: var(--font-size-h1-pc);
	}

	.post-content .kochi-post-header .kochi-post-header-date {
		padding-block: 16px;
		display: flex;
		align-items: center;
		justify-content: flex-end;
		gap: 16px;
	}
}

@media screen and (max-width: 768px) {

	.post-content .wp-block-button:has(.is-small-size),
	.post-content .wp-block-button:has(.is-medium-size),
	.post-content .wp-block-button:has(.is-large-size) {
		width: 100%;
	}

	.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-small-size {
		display: flex;
		justify-content: center;
	}

	.post-content .wp-block-button[class*='is-style-icon-'] .wp-block-button__link.is-medium-size {
		display: flex;
		justify-content: center;
	}

	.post-content .wp-block-columns {
		flex-direction: column;
	}

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr th,
	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td {
		padding-block: 8px;
		padding-inline: 16px;
	}

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) {
		row-gap: 12px;
	}

	.post-content .wp-block-media-text {
		row-gap: 16px;
	}
}

@media screen and (min-width: 769px) {

	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr th,
	.post-content .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table table tr td {
		padding-block: 16px;
		padding-inline: 24px;
	}

	.post-content .wp-block-list.is-style-icon-2-columns {
		grid-template-columns: repeat(2, 1fr);
	}

	.post-content .wp-block-list.is-style-icon-3-columns {
		grid-template-columns: repeat(3, 1fr);
	}

	.post-content .wp-block-list.is-style-icon-4-columns {
		grid-template-columns: repeat(4, 1fr);
	}

	.post-content .wp-block-media-text {
		grid-template-columns: 1fr 1fr;
	}

	.post-content .wp-block-gallery {
		grid-template-columns: repeat(2, 1fr);
	}

	.post-content .wp-block-gallery.columns-1 {
		grid-template-columns: repeat(1, 1fr);
	}

	.post-content .wp-block-gallery.columns-3 {
		grid-template-columns: repeat(3, 1fr);
	}

	.post-content .wp-block-gallery.columns-4 {
		grid-template-columns: repeat(4, 1fr);
	}

	.post-content .wp-block-gallery.columns-5 {
		grid-template-columns: repeat(5, 1fr);
	}

	.post-content .wp-block-gallery.columns-6 {
		grid-template-columns: repeat(6, 1fr);
	}
}

@media screen and (max-width: 1024px) and (min-width: 769px) {

	.post-content .wp-block-list:is(.is-style-icon-2-columns, .is-style-icon-3-columns, .is-style-icon-4-columns) {
		gap: 16px;
	}

	.post-content .wp-block-media-text {
		-moz-column-gap: 40px;
		column-gap: 40px;
	}

	.post-content .wp-block-media-text.is-style-kochi-image-with-list-link .wp-block-list {
		-moz-column-gap: 16px;
		column-gap: 16px;
	}
}
